## cinder 20.0.0

=== debian/changelog ===
cinder (2:20.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 20.x.
  * New upstream release for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Mar 2022 15:49:31 -0400

cinder (2:19.0.0+git2022030310.b49fb59a6-0ubuntu2) jammy; urgency=medium

  * d/p/fix-qos-computation.patch: Cherry-pick from upstream review to
    fix TypeError exception when generating QOS feature name (LP: #1948507).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Mar 2022 11:08:32 -0400

cinder (2:19.0.0+git2022030310.b49fb59a6-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 10:58:14 -0500

cinder (2:19.0.0+git2022011215.23494a6d6-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control, d/rules: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 15:53:37 -0500

cinder (2:19.0.0+git2021120811.e5ef39604-0ubuntu2) jammy; urgency=medium

  * d/t/control: Add allow-stderr restriction to prevent autopkgtest failure
    when SQLAlchemy issues a warning.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Dec 2021 14:01:20 -0500

cinder (2:19.0.0+git2021120811.e5ef39604-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Dec 2021 11:39:46 -0500

=== debian/control ===
Source: cinder
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 apache2-dev,
 debhelper-compat (= 13),
 dh-apache2,
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 5.8.0),
 python3-setuptools,
 python3-sphinx (>= 3.5.1),
 python3-tabulate (>= 0.8.7),
Build-Depends-Indep:
 python3-barbicanclient (>= 5.0.1),
 python3-boto3 (>= 1.16.51),
 python3-botocore,
 python3-castellan (>= 3.7.0),
 python3-coverage,
 python3-cryptography (>= 3.1),
 python3-cursive (>= 0.2.2),
 python3-ddt (>= 1.4.1),
 python3-decorator (>= 4.4.2),
 python3-doc8,
 python3-eventlet (>= 0.30.1),
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:3.2.2),
 python3-googleapi (>= 1.7.11),
 python3-greenlet (>= 0.4.16),
 python3-hacking,
 python3-httplib2 (>= 0.18.1),
 python3-importlib-metadata (>= 3.1.1),
 python3-iso8601 (>= 0.1.12),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 4.2.1),
 python3-keystoneclient (>= 1:4.1.1),
 python3-keystonemiddleware (>= 9.1.0),
 python3-lxml (>= 4.5.2),
 python3-migrate (>= 0.13.0),
 python3-mock (>= 2.0.0),
 python3-novaclient (>= 2:17.2.1),
 python3-oauth2client (>= 4.1.3),
 python3-openstackdocstheme (>= 2.2.7),
 python3-os-api-ref (>= 2.1.0),
 python3-os-brick (>= 5.2.0),
 python3-os-win (>= 5.5.0),
 python3-oslo.concurrency (>= 4.5.0),
 python3-oslo.config (>= 1:8.3.2),
 python3-oslo.context (>= 1:3.4.0),
 python3-oslo.db (>= 11.0.0),
 python3-oslo.i18n (>= 5.1.0),
 python3-oslo.log (>= 4.6.1),
 python3-oslo.messaging (>= 12.5.0),
 python3-oslo.middleware (>= 4.1.1),
 python3-oslo.policy (>= 3.8.1),
 python3-oslo.privsep (>= 2.6.2),
 python3-oslo.reports (>= 2.2.0),
 python3-oslo.rootwrap (>= 6.2.0),
 python3-oslo.serialization (>= 4.2.0),
 python3-oslo.service (>= 2.8.0),
 python3-oslo.upgradecheck (>= 1.1.1),
 python3-oslo.utils (>= 4.12.1),
 python3-oslo.versionedobjects (>= 2.3.0),
 python3-oslo.vmware (>= 3.10.0),
 python3-oslotest (>= 1:4.5.0),
 python3-osprofiler (>= 3.4.0),
 python3-packaging (>= 20.4),
 python3-paramiko (>= 2.7.2),
 python3-paste (>= 3.4.3),
 python3-pastedeploy (>= 2.1.0),
 python3-pep8,
 python3-prettytable (>= 0.7.1),
 python3-psutil (>= 5.7.2),
 python3-psycopg2 (>= 2.8.5),
 python3-pymysql (>= 0.10.0),
 python3-pyparsing (>= 2.4.7),
 python3-requests (>= 2.25.1),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.4.1),
 python3-rtslib-fb (>= 2.1.74),
 python3-six (>= 1.15.0),
 python3-sphinx-feature-classification,
 python3-sphinxcontrib.apidoc (>= 0.3.0),
 python3-sqlalchemy (>= 1.4.23),
 python3-sqlalchemy-utils (>= 0.37.8),
 python3-stestr,
 python3-stevedore (>= 1:3.2.2),
 python3-suds (>= 0.6),
 python3-swiftclient (>= 1:3.10.1),
 python3-taskflow (>= 4.5.0),
 python3-tempest (>= 1:17.1.0),
 python3-tenacity (>= 6.3.1),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.4.0),
 python3-tooz (>= 2.7.1),
 python3-tz (>= 2020.1),
 python3-webob (>= 1:1.8.6),
 python3-zstd (>= 1.4.5.1),
Standards-Version: 4.1.4
Homepage: https://launchpad.net/cinder
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/cinder
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/cinder
Testsuite: autopkgtest-pkg-python

Package: cinder-api
Architecture: all
Depends:
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 python3-cinder (= ${binary:Version}),
 ${misc:Depends},
Description: Cinder storage service - API server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder API server.

Package: cinder-backup
Architecture: all
Depends:
 python3-cinder (= ${binary:Version}),
 ${misc:Depends},
Description: Cinder storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder backup service.

Package: cinder-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Recommends:
 ${misc:Recommends},
Description: Cinder storage service - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains commons components for Cinder.

Package: cinder-scheduler
Architecture: all
Depends:
 python3-cinder (= ${binary:Version}),
 ${misc:Depends},
Description: Cinder storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder Scheduler server.

Package: cinder-volume
Architecture: all
Depends:
 lvm2,
 python3-cinder (= ${binary:Version}),
 qemu-utils,
 targetcli-fb,
 ${misc:Depends},
Description: Cinder storage service - Volume server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder Volume server.

Package: python3-cinder
Section: python
Architecture: all
Depends:
 cinder-common (= ${binary:Version}),
 python3-barbicanclient (>= 5.0.1),
 python3-castellan (>= 3.7.0),
 python3-cryptography (>= 3.1),
 python3-cursive (>= 0.2.2),
 python3-decorator (>= 4.4.2),
 python3-eventlet (>= 0.30.1),
 python3-glanceclient (>= 1:3.2.2),
 python3-greenlet (>= 0.4.16),
 python3-httplib2 (>= 0.18.1),
 python3-importlib-metadata (>= 3.1.1),
 python3-iso8601 (>= 0.1.12),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 4.2.1),
 python3-keystoneclient (>= 1:4.1.1),
 python3-keystonemiddleware (>= 9.1.0),
 python3-lxml (>= 4.5.2),
 python3-migrate (>= 0.13.0),
 python3-novaclient (>= 2:17.2.1),
 python3-os-brick (>= 5.2.0),
 python3-os-win (>= 5.5.0),
 python3-oslo.concurrency (>= 4.5.0),
 python3-oslo.config (>= 1:8.3.2),
 python3-oslo.context (>= 1:3.4.0),
 python3-oslo.db (>= 11.0.0),
 python3-oslo.i18n (>= 5.1.0),
 python3-oslo.log (>= 4.6.1),
 python3-oslo.messaging (>= 12.5.0),
 python3-oslo.middleware (>= 4.1.1),
 python3-oslo.policy (>= 3.8.1),
 python3-oslo.privsep (>= 2.6.2),
 python3-oslo.reports (>= 2.2.0),
 python3-oslo.rootwrap (>= 6.2.0),
 python3-oslo.serialization (>= 4.2.0),
 python3-oslo.service (>= 2.8.0),
 python3-oslo.upgradecheck (>= 1.1.1),
 python3-oslo.utils (>= 4.12.1),
 python3-oslo.versionedobjects (>= 2.3.0),
 python3-oslo.vmware (>= 3.10.0),
 python3-osprofiler (>= 3.4.0),
 python3-packaging (>= 20.4),
 python3-paramiko (>= 2.7.2),
 python3-paste (>= 3.4.3),
 python3-pastedeploy (>= 2.1.0),
 python3-pbr (>= 5.8.0),
 python3-prettytable (>= 0.7.1),
 python3-psutil (>= 5.7.2),
 python3-pyparsing (>= 2.4.7),
 python3-requests (>= 2.25.1),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.4.1),
 python3-rtslib-fb (>= 2.1.74),
 python3-six (>= 1.15.0),
 python3-sqlalchemy (>= 1.4.23),
 python3-stevedore (>= 1:3.2.2),
 python3-suds (>= 0.6),
 python3-swiftclient (>= 1:3.10.1),
 python3-tabulate (>= 0.8.7),
 python3-taskflow (>= 4.5.0),
 python3-tenacity (>= 6.3.1),
 python3-tooz (>= 2.7.1),
 python3-tz (>= 2020.1),
 python3-webob (>= 1:1.8.6),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-boto3 (>= 1.16.51),
 python3-botocore,
 python3-googleapi (>= 1.7.11),
 python3-hp3parclient,
 python3-oauth2client (>= 4.1.3),
 python3-rados,
 python3-rbd,
 python3-zstd (>= 1.4.5.1),
Description: Cinder Python 3 libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Python 3 library for Cinder.

=== debian/tests/control ===
Tests: cinder-daemons cinder-volume
Depends:
 cinder-api,
 cinder-scheduler,
 lvm2,
 mysql-server,
Restrictions: needs-root, allow-stderr

## cinder 20.1.0

=== debian/changelog ===
cinder (2:20.1.0-0ubuntu2.2) jammy-security; urgency=medium

  * SECURITY REGRESSION: Regressions in other projects (LP: #2020111)
    - debian/patches/series: Do not apply CVE-2023-2088.patch until
      patches are ready for all upstream OpenStack projects.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 May 2023 11:40:16 -0400

cinder (2:20.1.0-0ubuntu2.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Unauthorized File Access
    - debian/patches/CVE-2023-2088.patch: Reject unsafe delete
      attachment calls.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 04 May 2023 15:55:29 +0200

cinder (2:20.1.0-0ubuntu2) jammy; urgency=medium

  * d/p/lp1945500.patch: Filter reserved image properties (LP: #1945500).

 -- Rodrigo Barbieri <rodrigo.barbieri@canonical.com>  Tue, 14 Mar 2023 13:21:44 -0300

cinder (2:20.1.0-0ubuntu1) jammy; urgency=medium

  * New stable point release for OpenStack Yoga (LP: #2004030).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Jan 2023 10:57:40 -0500

cinder (2:20.0.1-0ubuntu1) jammy; urgency=medium

  * d/gbp.conf: Create stable/yoga branch.
  * New stable point release for OpenStack Yoga (LP: #1985084).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Aug 2022 13:54:57 -0400

## cinder 20.2.0

=== debian/changelog ===
cinder (2:20.2.0-0ubuntu1) jammy; urgency=medium

  * New stable point release for OpenStack Yoga (LP: #2019759).
  * d/p/lp1945500.patch: Dropped. Fixed in stable point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 15 May 2023 16:05:54 -0400

## cinder 20.3.0

=== debian/changelog ===
cinder (2:20.3.0-0ubuntu1) jammy; urgency=medium

  * New stable point release for OpenStack Yoga (LP: #2025503).
  * d/p/CVE-2023-2088.patch: Dropped. Fixed in point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 30 Jun 2023 14:52:48 -0400

cinder (2:20.2.0-0ubuntu1.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Unauthorized File Access (LP: #2021980)
    - debian/patches/CVE-2023-2088.patch: Reject unsafe delete
      attachment calls.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 May 2023 16:26:58 -0400

## cinder 20.3.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=5.8.0 # Apache-2.0
decorator>=4.4.2 # BSD
eventlet>=0.30.1,!=0.32.0 # MIT
greenlet>=0.4.16 # MIT
httplib2>=0.18.1 # MIT
importlib_metadata>=3.1.1;python_version<'3.8' # Apache-2.0
iso8601>=0.1.12 # MIT
jsonschema>=3.2.0 # MIT
keystoneauth1>=4.2.1 # Apache-2.0
keystonemiddleware>=9.1.0 # Apache-2.0
lxml>=4.5.2 # BSD
oauth2client>=4.1.3 # Apache-2.0
oslo.config>=8.3.2 # Apache-2.0
oslo.concurrency>=4.5.0 # Apache-2.0
oslo.context>=3.4.0 # Apache-2.0
oslo.db>=11.0.0 # Apache-2.0
oslo.log>=4.6.1 # Apache-2.0
oslo.messaging>=12.5.0 # Apache-2.0
oslo.middleware>=4.1.1 # Apache-2.0
oslo.policy>=3.8.1 # Apache-2.0
oslo.privsep>=2.6.2 # Apache-2.0
oslo.reports>=2.2.0 # Apache-2.0
oslo.rootwrap>=6.2.0 # Apache-2.0
oslo.serialization>=4.2.0 # Apache-2.0
oslo.service>=2.8.0 # Apache-2.0
oslo.upgradecheck>=1.1.1 # Apache-2.0
oslo.utils>=4.12.1 # Apache-2.0
oslo.versionedobjects>=2.3.0 # Apache-2.0
osprofiler>=3.4.0 # Apache-2.0
packaging>=20.4
paramiko>=2.7.2 # LGPLv2.1+
Paste>=3.4.3 # MIT
PasteDeploy>=2.1.0 # MIT
psutil>=5.7.2 # BSD
pyparsing>=2.4.7 # MIT
python-barbicanclient>=5.0.1 # Apache-2.0
python-glanceclient>=3.2.2 # Apache-2.0
python-keystoneclient>=4.1.1 # Apache-2.0
python-novaclient>=17.2.1 # Apache-2.0
python-swiftclient>=3.10.1 # Apache-2.0
pytz>=2020.1 # MIT
requests>=2.25.1 # Apache-2.0
Routes>=2.4.1 # MIT
taskflow>=4.5.0 # Apache-2.0
rtslib-fb>=2.1.74 # Apache-2.0
six>=1.15.0 # MIT
SQLAlchemy>=1.4.23 # MIT
sqlalchemy-migrate>=0.13.0 # Apache-2.0
stevedore>=3.2.2 # Apache-2.0
tabulate>=0.8.7 # MIT
tenacity>=6.3.1 # Apache-2.0
WebOb>=1.8.6 # MIT
oslo.i18n>=5.1.0 # Apache-2.0
oslo.vmware>=3.10.0 # Apache-2.0
os-brick>=5.2.0 # Apache-2.0
os-win>=5.5.0 # Apache-2.0
tooz>=2.7.1 # Apache-2.0
google-api-python-client>=1.11.0 # Apache-2.0
castellan>=3.7.0 # Apache-2.0
cryptography>=3.1 # BSD/Apache-2.0
cursive>=0.2.2 # Apache-2.0
zstd>=1.4.5.1 # BSD
boto3>=1.16.51 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=2.2.7 # Apache-2.0
reno>=3.2.0 # Apache-2.0
sphinx>=3.5.1 # BSD
Pygments>=2.6.1 # BSD license
os-api-ref>=2.1.0 # Apache-2.0
sphinxcontrib-apidoc>=0.3.0  # BSD
sphinx-feature-classification>=1.1.0 # Apache 2.0

# redirect tests in docs
whereto>=0.4.0 # Apache-2.0

=== debian/changelog ===
cinder (2:20.3.1-0ubuntu1.6) jammy; urgency=medium

  * d/p/lp1823445.patch: Fix "signature_verified" volume metadata
    from propagating to images and causing errors later when
    creating volumes from such images (LP: #1823445).
  * d/p/lp2083061.patch: Fix race condition when deleting cloned
    volumes and their parents at the same time. (LP: #2083061)

 -- Rodrigo Barbieri <rodrigo.barbieri@canonical.com>  Mon, 09 Dec 2024 15:37:22 +0000

cinder (2:20.3.1-0ubuntu1.5) jammy-security; urgency=medium

  * SECURITY REGRESSION: regression due to missing privset handling
  (LP: #2085851)
    - debian/patches/CVE-2024-32498.patch: switch to final upstream patch
      which differs from the patch provided during embargo.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 04 Nov 2024 07:35:21 -0500

cinder (2:20.3.1-0ubuntu1.4) jammy-security; urgency=medium

  * SECURITY UPDATE: Arbitrary file access via custom QCOW2 external data
    (LP: #2059809)
    - debian/patches/CVE-2024-32498.patch: check for external qcow2 data
      file.
    - debian/control: added qemu-utils to Build-Depends so qemu-img is
      available for new tests.
    - CVE-2024-32498

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 28 Jun 2024 18:00:06 -0400

cinder (2:20.3.1-0ubuntu1.2) jammy; urgency=medium

  [ Jorge Merlino ]
  * Increase size of volume image metadata values to 65535 bytes
    (LP: #1988942)

  [ Heather Lemon ]
  * Start cinder-volume.service after tgt.service started (LP: #1987663)
    - d/cinder-volume.service.conf: drop-in with 'After=' and 'Wants='
      ('Wants=' is not generated by pkgos-gen-systemd-unit currently).
    - d/cinder-volume.install: ship the systemd service drop-in file. 

  [ Seyeong Kim ]
  * HPE3PAR: Failing to clone a volume having children (LP: #1994521):
    - d/p/0001-HPE-3PAR-Fix-umanaged-volumes-snapshots-missing.patch
    - d/p/0002-3PAR-Error-out-if-vol-cannot-be-converted-to-base.patch
    - api 4.0.17 is added as it is in the middle of the main patch
      (4.0.18)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Fri, 19 Apr 2024 11:04:46 -0300

cinder (2:20.3.1-0ubuntu1.1) jammy; urgency=medium

  * Revert driver assisted volume retype (LP: #2019190):
    - d/p/0001-Revert-Driver-assisted-migration-on-retype-when-it-s.patch

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Fri, 26 Jan 2024 12:26:48 +0000

cinder (2:20.3.1-0ubuntu1) jammy; urgency=medium

  * New stable point release for OpenStack Yoga (LP: #2037332).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 25 Sep 2023 16:49:25 -0400

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
  python3-setuptools,
  python3-sphinx (>= 3.5.1),
  python3-tabulate (>= 0.8.7),
+ qemu-utils,
 Build-Depends-Indep:
  python3-barbicanclient (>= 5.0.1),
  python3-boto3 (>= 1.16.51),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/cinder/ cinder-(20\.\d.*)\.tar\.gz

## cinder 20.3.2

=== debian/changelog ===
cinder (2:20.3.2-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Removed patch applied upstream:
    - CVE-2022-47951_Check_VMDK_subformat_against_an_allowed_list.patch
    - CVE-2023-2088_Reject_unsafe_delete_attachment_calls.patch
    - CVE-2024-32498_0_1_Use_the_json_format_output_of_qemu-img_info.patch
  * Refreshed:
    - cve-2024-32498-cinder-stable-2023.1.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 06 Nov 2025 09:57:19 +0000

cinder (2:20.0.1-3+deb11u4) UNRELEASED; urgency=medium

  * Correctly calls manage_glance_api_servers() in config script.

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Jul 2024 04:18:42 +0200

cinder (2:20.0.1-3+deb11u3) UNRELEASED; urgency=medium

  * CVE-2023-2088: Unauthorized volume access through deleted volume
    attachments. Applied upstream patch: Reject unsafe delete attachment calls
    (Closes: #1035961).
  * Add add-params-thin_provisioning-equal-one.patch.
  * CVE-2024-32498: Arbitrary file access through custom QCOW2 external data.
    Add upstream patch (Closes: #1074763):
    - cve-2024-32498-cinder-stable-2023.1.patch
    - Build-depends on qemu-utils.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Jun 2024 09:21:12 +0200

cinder (2:20.0.1-3+deb11u1) UNRELEASED; urgency=medium

  * CVE-2022-47951: vulnerability in VMDK image processing. By supplying a
    specially created VMDK flat image which references a specific backing file
    path, an authenticated user may convince systems to return a copy of that
    file's contents from the server resulting in unauthorized access to
    potentially sensitive data. Added upstream patch:
    CVE-2022-47951_Check_VMDK_subformat_against_an_allowed_list.patch
    (Closes: #1029562)
  * Blacklist volume.drivers.test_rbd.RBDTestCase.test_delete_volume().

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Jan 2023 17:46:35 +0100

cinder (2:20.0.1-2) unstable; urgency=medium

  [ Mauricio Faria de Oliveira ]
  * d/cinder-volume.init.in: add tgt to Should-Start/Stop
    (Closes: #1018084) (LP: #1987663)

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Aug 2022 10:02:52 +0200

cinder (2:20.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Aug 2022 15:28:21 +0200

cinder (2:20.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 16:23:14 +0200

cinder (2:20.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Blacklist test_delete_volume_not_found().

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 14:34:16 +0100

cinder (2:20.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed add-a-healthcheck-url.patch applied upstream.
  * Use pkgos-dh_auto_test --no-py2 'cinder\.tests\.unit.*' to run tests.
  * Add autopkgtest.
  * Do not test volume.drivers.test_nfs*.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Mar 2022 11:22:10 +0100

=== debian/control ===
Source: cinder
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr (>= 5.8.0),
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 python3-barbicanclient,
 python3-boto3,
 python3-castellan (>= 3.7.0),
 python3-coverage,
 python3-cryptography,
 python3-cursive,
 python3-ddt (>= 1.4.4),
 python3-decorator,
 python3-doc8,
 python3-eventlet (>= 0.30.1),
 python3-fixtures,
 python3-glanceclient,
 python3-googleapi,
 python3-greenlet,
 python3-hacking,
 python3-httplib2,
 python3-importlib-metadata,
 python3-iso8601,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-migrate,
 python3-mypy,
 python3-mysqldb,
 python3-novaclient,
 python3-oauth2client (>= 4.1.3),
 python3-openstackdocstheme,
 python3-os-api-ref (>= 2.1.0),
 python3-os-brick (>= 5.2.0),
 python3-os-win (>= 5.5.0),
 python3-oslo.concurrency (>= 4.5.0),
 python3-oslo.config,
 python3-oslo.context (>= 3.4.0),
 python3-oslo.db (>= 11.0.0),
 python3-oslo.i18n (>= 5.1.0),
 python3-oslo.log (>= 4.6.1),
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.8.1),
 python3-oslo.privsep (>= 2.6.2),
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization (>= 4.2.0),
 python3-oslo.service (>= 2.8.0),
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 4.12.1),
 python3-oslo.versionedobjects,
 python3-oslo.vmware (>= 3.10.0),
 python3-oslotest (>= 1:4.5.0),
 python3-osprofiler,
 python3-packaging,
 python3-paramiko,
 python3-paste,
 python3-pastedeploy,
 python3-pep8,
 python3-psutil,
 python3-psycopg2,
 python3-pygments,
 python3-pymysql (>= 0.10.0),
 python3-pyparsing,
 python3-reno,
 python3-requests,
 python3-routes,
 python3-rtslib-fb (>= 2.1.74),
 python3-six,
 python3-sphinx-feature-classification (>= 1.1.0),
 python3-sphinxcontrib.apidoc,
 python3-sqlalchemy (>= 1.4.23),
 python3-sqlalchemy-utils (>= 0.37.8),
 python3-stestr (>= 3.2.1),
 python3-stevedore,
 python3-swiftclient,
 python3-tabulate,
 python3-taskflow,
 python3-tenacity (>= 6.3.1),
 python3-testtools,
 python3-tooz,
 python3-tz,
 python3-webob,
 python3-zstd,
 qemu-utils,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/cinder
Vcs-Git: https://salsa.debian.org/openstack-team/services/cinder.git
Homepage: https://github.com/openstack/cinder

Package: cinder-api
Architecture: all
Depends:
 adduser,
 cinder-common (= ${binary:Version}),
 debconf,
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack block storage system - API server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder API server.

Package: cinder-backup
Architecture: all
Depends:
 adduser,
 cinder-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack block storage system - Backup server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder backup service.

Package: cinder-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 cryptsetup-bin,
 cgroup-tools,
 python3-cinder (= ${binary:Version}),
 thin-provisioning-tools,
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack block storage system - common files
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Cinder.

Package: cinder-doc
Architecture: all
Build-Profiles: <!nodoc>
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack block storage system - doc
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage
 solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the documentation.

Package: cinder-scheduler
Architecture: all
Depends:
 cinder-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack block storage system - Scheduler server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder Scheduler server.

Package: cinder-volume
Architecture: all
Depends:
 adduser,
 cinder-common (= ${binary:Version}),
 lvm2,
 qemu-utils,
 tgt | open-iscsi,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Suggests:
 ceph-common,
Description: OpenStack block storage system - Volume server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder Volume server.

Package: python3-cinder
Section: python
Architecture: all
Depends:
 python3-barbicanclient,
 python3-boto3,
 python3-castellan (>= 3.7.0),
 python3-cryptography,
 python3-cursive,
 python3-decorator,
 python3-eventlet (>= 0.30.1),
 python3-glanceclient,
 python3-googleapi,
 python3-greenlet,
 python3-httplib2,
 python3-importlib-metadata,
 python3-iso8601,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-migrate,
 python3-mysqldb,
 python3-novaclient,
 python3-oauth2client (>= 4.1.3),
 python3-os-brick (>= 5.2.0),
 python3-os-win (>= 5.5.0),
 python3-oslo.concurrency (>= 4.5.0),
 python3-oslo.config,
 python3-oslo.context (>= 3.4.0),
 python3-oslo.db (>= 11.0.0),
 python3-oslo.i18n (>= 5.1.0),
 python3-oslo.log (>= 4.6.1),
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.8.1),
 python3-oslo.privsep (>= 2.6.2),
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization (>= 4.2.0),
 python3-oslo.service (>= 2.8.0),
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 4.12.1),
 python3-oslo.versionedobjects,
 python3-oslo.vmware (>= 3.10.0),
 python3-osprofiler,
 python3-packaging,
 python3-paramiko,
 python3-paste,
 python3-pastedeploy,
 python3-pbr (>= 5.8.0),
 python3-psutil,
 python3-psycopg2,
 python3-pymysql,
 python3-pyparsing,
 python3-requests,
 python3-routes,
 python3-rtslib-fb (>= 2.1.74),
 python3-six,
 python3-sqlalchemy (>= 1.4.23),
 python3-stevedore,
 python3-swiftclient,
 python3-tabulate,
 python3-taskflow,
 python3-tenacity (>= 6.3.1),
 python3-tooz,
 python3-tz,
 python3-webob,
 python3-zstd,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ceph-common,
 python3-ceph,
 python3-hp3parclient,
Description: OpenStack block storage system - Python libraries
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Python libraries that are part of Cinder.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,systemd,sphinxdoc

override_dh_clean:
	dh_clean
	rm -f debian/cinder-common.config debian/cinder-common.postinst debian/cinder-api.config debian/cinder-api.postinst debian/cinder-volume.postinst debian/cinder-common.postrm
	rm -rf debian/*.upstart debian/*.service debian/*.templates
	if [ -e debian/po-backup ] ; then \
		rm -rf debian/po ; \
		mv debian/po-backup debian/po ; \
	fi
	rm -rf build
	find . -name '*.pyc' -delete
	rm -rf .stestr
	rm -rf cinder.egg-info
	rm -f AUTHORS ChangeLog

override_dh_auto_clean:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-volume.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm cinder-common.postrm
	cp -auxf debian/po debian/po-backup
	pkgos-merge-templates cinder-api cinder endpoint
	pkgos-merge-templates cinder-common cinder db rabbit ksat

override_dh_install:
	python3 setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp
	rm -rf $(CURDIR)/debian/tmp/usr/etc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'cinder\.tests\.unit\.(?!(volume\.drivers\.test_nfs.*)|volume\.drivers\.test_rbd\.RBDTestCase\.test_delete_volume_not_found|volume\.drivers\.test_rbd\.RBDTestCase\.test_delete_volume)'
endif

	mkdir -p $(CURDIR)/debian/cinder-common/usr/share/cinder-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf \
		--wrap-width 140 \
		--namespace castellan.config \
		--namespace cinder \
		--namespace keystonemiddleware.auth_token \
		--namespace osprofiler \
		--namespace oslo.config \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware \
		--namespace oslo.policy \
		--namespace oslo.privsep \
		--namespace oslo.reports \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace oslo.service.sslutils \
		--namespace oslo.service.wsgi \
		--namespace oslo.versionedobjects

	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf keystone_authtoken cinder

	mkdir -p $(CURDIR)/debian/cinder-common/etc/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/cinder-common/etc/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace cinder

	# Comment out deprecated policies
	sed -i 's/^"/#"/' $(CURDIR)/debian/cinder-common/etc/policy.d/00_default_policy.yaml


	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf oslo_policy policy_dirs /etc/cinder/policy.d

	dh_install
	dh_missing --fail-missing -Xbin/cinder-all
	install -D -m 0440 debian/cinder-common.sudoers $(CURDIR)/debian/cinder-common/etc/sudoers.d/cinder-common

	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf DEFAULT auth_strategy keystone

	# Set LVM as default backend
	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf DEFAULT enabled_backends lvm
	echo "[lvm]" 				>> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "volume_driver = cinder.volume.drivers.lvm.LVMVolumeDriver" >> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "volume_group = pkgosvg0" 		>> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "iscsi_protocol = iscsi" 		>> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "iscsi_helper = tgtadm" 		>> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf

	# Set a default value for lock_path & state_path
	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf oslo_concurrency lock_path /var/lock/cinder

	# Fix the missing sql_connection directive
	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf database sqlite:////var/lib/cinder/cinderdb

	install -D -m 0644 $(CURDIR)/etc/cinder/logging_sample.conf $(CURDIR)/debian/cinder-common/usr/share/cinder-common/logging.conf

override_dh_fixperms:
	dh_fixperms -Xcinder_tgt.conf
	chmod 0440 $(CURDIR)/debian/cinder-common/etc/sudoers.d/cinder-common

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/python3-cinder/usr/lib/python3/dist-packages PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/cinder-doc/usr/share/doc/cinder-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## cinder 21.0.0~rc1

=== debian/changelog ===
cinder (2:21.0.0~rc1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 17:41:40 +0200

cinder (2:21.0.0~rc1-2) experimental; urgency=medium

  * Add missing os_brick namespace when generating the config file.

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Sep 2022 12:32:15 +0200

cinder (2:21.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2022 17:21:08 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+UPSTREAM_GIT ?= https://opendev.org/openstack/cinder.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
@@ -44,7 +45,7 @@
 	rm -rf $(CURDIR)/debian/tmp/usr/etc
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'cinder\.tests\.unit\.(?!(volume\.drivers\.test_nfs.*)|volume\.drivers\.test_rbd\.RBDTestCase\.test_delete_volume_not_found|volume\.drivers\.test_rbd\.RBDTestCase\.test_delete_volume)'
+	pkgos-dh_auto_test --no-py2 'cinder\.tests\.unit\.(?!(volume\.drivers\.test_nfs.*)|volume\.drivers\.test_rbd\.RBDTestCase\.test_delete_volume_not_found)'
 endif
 
 	mkdir -p $(CURDIR)/debian/cinder-common/usr/share/cinder-common
@@ -68,7 +69,8 @@
 		--namespace oslo.service.service \
 		--namespace oslo.service.sslutils \
 		--namespace oslo.service.wsgi \
-		--namespace oslo.versionedobjects
+		--namespace oslo.versionedobjects \
+		--namespace os_brick
 
 	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf keystone_authtoken cinder

## cinder 21.0.0

=== debian/changelog ===
cinder (2:21.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2022 10:18:12 +0200

=== debian/control ===
--- 
+++ 
@@ -40,13 +40,13 @@
  python3-keystonemiddleware,
  python3-lxml,
  python3-migrate,
- python3-mypy,
+ python3-mypy (>= 0.960),
  python3-mysqldb,
  python3-novaclient,
  python3-oauth2client (>= 4.1.3),
  python3-openstackdocstheme,
  python3-os-api-ref (>= 2.1.0),
- python3-os-brick (>= 5.2.0),
+ python3-os-brick (>= 6.1.0),
  python3-os-win (>= 5.5.0),
  python3-oslo.concurrency (>= 4.5.0),
  python3-oslo.config,
@@ -98,7 +98,6 @@
  python3-tz,
  python3-webob,
  python3-zstd,
- qemu-utils,
  subunit,
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/cinder
@@ -267,7 +266,7 @@
  python3-mysqldb,
  python3-novaclient,
  python3-oauth2client (>= 4.1.3),
- python3-os-brick (>= 5.2.0),
+ python3-os-brick (>= 6.1.0),
  python3-os-win (>= 5.5.0),
  python3-oslo.concurrency (>= 4.5.0),
  python3-oslo.config,

## cinder 21.1.0

=== debian/changelog ===
cinder (2:21.1.0-3) unstable; urgency=medium

  * CVE-2023-2088: Unauthorized volume access through deleted volume
    attachments. Applied upstream patch: Reject unsafe delete attachment calls
    (Closes: #1035961).

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 May 2023 12:38:22 +0200

cinder (2:21.1.0-2) unstable; urgency=medium

  * Build-depends on openstack-pkg-tools (>= 123~).

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Apr 2023 10:27:32 +0200

cinder (2:21.1.0-1) unstable; urgency=medium

  * New upstream point release.
  * Removed patch applied upstream:
    - CVE-2022-47951_Check_VMDK_subformat_against_an_allowed_list.patch

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Feb 2023 08:51:30 +0100

cinder (2:21.0.0-3) unstable; urgency=high

  * CVE-2022-47951: By supplying a specially created VMDK flat image which
    references a specific backing file path, an authenticated user may convince
    systems to return a copy of that file's contents from the server resulting
    in unauthorized access to potentially sensitive data. Add upstream patch
    CVE-2022-47951_Check_VMDK_subformat_against_an_allowed_list.patch
    (Closes: #1029562).

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Jan 2023 17:19:39 +0100

cinder (2:21.0.0-2) unstable; urgency=medium

  * Address broken tests in Python 3.11 (Closes: #1026591):
    - Add py3.11-test_rbd_iscsi_Make_tests_compatible_with_python.patch.
    - Blacklist all of BackupCephTestCase and test_hpe3par.py
    Note that this really is broken tests (mocking), and not a broken Cinder.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Dec 2022 18:09:41 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper-compat (= 10),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 123~),
  po-debconf,
  python3-all,
  python3-pbr (>= 5.8.0),

=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,8 @@
 	rm -rf $(CURDIR)/debian/tmp/usr/etc
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'cinder\.tests\.unit\.(?!(volume\.drivers\.test_nfs.*)|volume\.drivers\.test_rbd\.RBDTestCase\.test_delete_volume_not_found)'
+	# See https://bugs.launchpad.net/cinder/+bug/2000436
+	pkgos-dh_auto_test --no-py2 'cinder\.tests\.unit\.(?!(volume\.drivers\.test_nfs.*)|volume\.drivers\.test_rbd\.RBDTestCase\.test_delete_volume_not_found|.*backup\.drivers\.test_backup_ceph\.BackupCephTestCase.*|.*volume\.drivers\.hpe\.test_hpe3par.*)'
 endif
 
 	mkdir -p $(CURDIR)/debian/cinder-common/usr/share/cinder-common

## cinder 21.2.0

=== debian/changelog ===
cinder (2:21.2.0-0ubuntu1) kinetic; urgency=medium

  * New stable point release for OpenStack Zed (LP: #2019755).
  * d/p/lp1945500.patch: Dropped. Fixed in stable point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 15 May 2023 15:08:28 -0400

cinder (2:21.1.0-0ubuntu2.2) kinetic-security; urgency=medium

  * SECURITY REGRESSION: Regressions in other projects (LP: #2020111)
    - debian/patches/series: Do not apply CVE-2023-2088.patch until
      patches are ready for all upstream OpenStack projects.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 May 2023 11:25:01 -0400

cinder (2:21.1.0-0ubuntu2.1) kinetic-security; urgency=medium

  * SECURITY UPDATE: Unauthorized File Access
    - debian/patches/CVE-2023-2088.patch: Reject unsafe delete
      attachment calls.
    - CVE-2023-2088

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 04 May 2023 15:30:12 +0200

cinder (2:21.1.0-0ubuntu2) kinetic; urgency=medium

  * d/p/lp1945500.patch: Filter reserved image properties (LP: #1945500).

 -- Rodrigo Barbieri <rodrigo.barbieri@canonical.com>  Tue, 14 Mar 2023 12:58:13 -0300

cinder (2:21.1.0-0ubuntu1) kinetic; urgency=medium

  * d/gbp.conf: Create stable/zed branch.
  * New stable point release for OpenStack Zed (LP: #2004029).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Jan 2023 10:54:13 -0500

cinder (2:21.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 21.x.
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 14:32:23 -0400

cinder (2:20.0.1+git2022091212.c86c9576f-0ubuntu2) kinetic; urgency=medium

  * d/control: Restore openstack-pkg-tools (>= 119ubuntu1~).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 13:33:04 -0400

cinder (2:20.0.1+git2022091212.c86c9576f-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 12:39:22 -0400

cinder (2:20.0.1+git2022071413.84fd59865-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.
  * d/cinder-common.postinst: CIS hardening update to switch adduser to use
    /usr/sbin/nologin when creating system account that does not run a shell.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2022 13:29:03 -0400

cinder (2:20.0.0+git2022060116.4b3dba1ea-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/p/fix-qos-computation.patch: Dropped. Fixed in snapshot.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Jun 2022 16:19:26 -0400

## cinder 21.3.1

=== requirements.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 eventlet>=0.30.1,!=0.32.0 # MIT
 greenlet>=0.4.16 # MIT
 httplib2>=0.18.1 # MIT
-importlib_metadata>=3.1.1;python_version<'3.8' # Apache-2.0
+importlib_metadata>=3.1.1 # Apache-2.0
 iso8601>=0.1.12 # MIT
 jsonschema>=3.2.0 # MIT
 keystoneauth1>=4.2.1 # Apache-2.0
@@ -56,7 +56,7 @@
 WebOb>=1.8.6 # MIT
 oslo.i18n>=5.1.0 # Apache-2.0
 oslo.vmware>=3.10.0 # Apache-2.0
-os-brick>=5.2.0 # Apache-2.0
+os-brick>=6.0.0 # Apache-2.0
 os-win>=5.5.0 # Apache-2.0
 tooz>=2.7.1 # Apache-2.0
 google-api-python-client>=1.11.0 # Apache-2.0

=== debian/changelog ===
cinder (2:21.3.1-1~deb12u1) bookworm-security; urgency=high

  * New upstream release.
  * Drop CVE-2023-2088_Reject_unsafe_delete_attachment_calls.patch applied
    upstream.
  * Blacklist RBDISCSITestCase.test_unsupported_client_version().
  * Add add-params-thin_provisioning-equal-one.patch.
  * CVE-2024-32498: Arbitrary file access through custom QCOW2 external data.
    Add upstream patch (Closes: #1074763):
    - cve-2024-32498-cinder-stable-2023.1.patch
  * Build-depends on qemu-utils.
  * Correctly calls manage_glance_api_servers() in config script.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Jun 2024 09:19:56 +0200

=== debian/control ===
--- 
+++ 
@@ -98,6 +98,7 @@
  python3-tz,
  python3-webob,
  python3-zstd,
+ qemu-utils, 
  subunit,
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/cinder

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	# See https://bugs.launchpad.net/cinder/+bug/2000436
-	pkgos-dh_auto_test --no-py2 'cinder\.tests\.unit\.(?!(volume\.drivers\.test_nfs.*)|volume\.drivers\.test_rbd\.RBDTestCase\.test_delete_volume_not_found|.*backup\.drivers\.test_backup_ceph\.BackupCephTestCase.*|.*volume\.drivers\.hpe\.test_hpe3par.*)'
+	pkgos-dh_auto_test --no-py2 'cinder\.tests\.unit\.(?!(volume\.drivers\.test_nfs.*)|volume\.drivers\.test_rbd\.RBDTestCase\.test_delete_volume_not_found|.*backup\.drivers\.test_backup_ceph\.BackupCephTestCase.*|.*volume\.drivers\.hpe\.test_hpe3par.*|volume\.drivers\.ceph\.test_rbd_iscsi\.RBDISCSITestCase\.test_unsupported_client_version)'
 endif
 
 	mkdir -p $(CURDIR)/debian/cinder-common/usr/share/cinder-common

## cinder 21.3.2

=== debian/changelog ===
cinder (2:21.3.2-1~deb12u3~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add Improve_heartbeats_RPC_pings.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-zed.infomaniak.ch>  Fri, 09 Jan 2026 21:29:01 +0000

cinder (2:21.3.2-1~deb12u2) UNRELEASED; urgency=medium

  * New upstream point release.
  * Add RBD_Flattening_of_child_volumes_during_deletion.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 11 Mar 2025 11:56:27 +0100
